QGIS Application - Bug report #14453
Empty Postgis Connection Dialog QGIS 2.14 Windows
2016-03-10 02:15 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22431
Description

I think | have seen this before: the connection dialog to create a Postgis connection is shown but emtpy (See screenshot).

This is an osgeo4w installation on a Windows 2008 R2 server.

Both 2.14.0 and current nightly show this.

Also the two excisting connections | cannot edit because the dialog is emtpy (so I'm 100% sure it was working before :-) )
Other connection dialogs (wms, oracle etc etc) look OK.

As said, | think | have seen this before.
Maybe others can check this on other Windows osgeo4w installs

History

#1 - 2016-04-09 09:46 AM - Giovanni Manghi
- Category set to GUI

#2 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
